Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.i2p.client.naming
Class PetName

    java.lang.Object
      net.i2p.client.naming.PetName

    public class PetName

extends Object

deprecated unused but can be instantiated through I2PAppContext

Constructor Summary
`PetName()`
`PetName(String dbLine)`
`PetName(String name, String network, String protocol, String location)`

Method Summary
`void` | `addGroup(String name)`
`boolean` | `equals(Object obj)`
`String` | `getGroup(int i)`
`int` | `getGroupCount()`
`boolean` | `getIsPublic()`
`String` | `getLocation()`
`String` | `getName()`
`String` | `getNetwork()`
`String` | `getProtocol()`
`int` | `hashCode()`
`boolean` | `isMember(String group)`
`static void` | `main(String[] args)`
`void` | `removeGroup(String name)`
`void` | `setGroups(String groups)`
`void` | `setIsPublic(boolean pub)`
`void` | `setLocation(String location)`
`void` | `setName(String name)`
`void` | `setNetwork(String network)`
`void` | `setProtocol(String protocol)`
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PetName

    public PetName()

### PetName

    public PetName(String name,
                   String network,
                   String protocol,
                   String location)

### PetName

    public PetName(String dbLine)

Parameters:
  `dbLine` - name:network:protocol:isPublic:group1,group2,group3:location

Method Detail

### getName

    public String getName()

### getNetwork

    public String getNetwork()

### getProtocol

    public String getProtocol()

### getLocation

    public String getLocation()

### getIsPublic

    public boolean getIsPublic()

### getGroupCount

    public int getGroupCount()

### getGroup

    public String getGroup(int i)

### setName

    public void setName(String name)

### setNetwork

    public void setNetwork(String network)

### setProtocol

    public void setProtocol(String protocol)

### setLocation

    public void setLocation(String location)

### setIsPublic

    public void setIsPublic(boolean pub)

### addGroup

    public void addGroup(String name)

### removeGroup

    public void removeGroup(String name)

### setGroups

    public void setGroups(String groups)

### isMember

    public boolean isMember(String group)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### main

    public static void main(String[] args)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD